cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/refunds/REF-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.refunds.get_refund_note(
"REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.refunds.getRefundNote('REF-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->refunds->getRefundNote('REF-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.refunds.refunds_dto.RefundsDto.RefundNote;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RefundNote> response = client.refunds().getRefundNote("REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Refunds.GetRefundNoteAsync(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.refunds.getRefundNote(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Refunds().GetRefundNote(context.Background(), "REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"refund": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<unknown>",
"name": "<string>",
"type": "<string>"
}
]
}
}Refunds
Retrieve a refund note
Returns one note on a refund.
GET
/
refunds
/
{refund_id}
/
notes
/
{note_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/refunds/REF-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.refunds.get_refund_note(
"REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.refunds.getRefundNote('REF-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->refunds->getRefundNote('REF-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.refunds.refunds_dto.RefundsDto.RefundNote;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RefundNote> response = client.refunds().getRefundNote("REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Refunds.GetRefundNoteAsync(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.refunds.getRefundNote(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Refunds().GetRefundNote(context.Background(), "REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"refund": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<unknown>",
"name": "<string>",
"type": "<string>"
}
]
}
}Fetches a single note by its
id, which starts with note_.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The refund's code, which the refunds listing returns as id.
The note's id, which starts with note_.
Response
200 - application/json
The note, under note.
Show child attributes
Show child attributes